Bug 1021994 (python-sphinxcontrib-cheeseshop) - Review Request: python-sphinxcontrib-cheeseshop - Sphinx extension cheeseshop
Summary: Review Request: python-sphinxcontrib-cheeseshop - Sphinx extension cheeseshop
Keywords:
Status: CLOSED ERRATA
Alias: python-sphinxcontrib-cheeseshop
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: python-behave
TreeView+ depends on / blocked
 
Reported: 2013-10-22 13:01 UTC by Björn 'besser82' Esser
Modified: 2013-11-10 06:53 UTC (History)
3 users (show)

Fixed In Version: python-sphinxcontrib-cheeseshop-0.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-23 18:18:20 UTC
Type: ---
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2013-10-22 13:01:00 UTC
Description:

  This extension adds directives for easy linking to Cheese Shop
  (Python Package Index) packages.  It supports a directive and a
  role, as well as a new config value.


Koji Builds:

  el5:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6086526
  el6:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6086528
  F18:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6086535
  F19:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6086537
  F20:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6086539
  Frh:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6086543


Issues:

  fedora-review shows no obvious issues.  rpmlint reports some false
  positives about spelling.


Fedora Account System Username:

  besser82


Urls:

  Spec URL: http://besser82.fedorapeople.org/review/python-sphinxcontrib-cheeseshop.spec
  SRPM URL: http://besser82.fedorapeople.org/review/python-sphinxcontrib-cheeseshop-0.2-1.fc21.src.rpm


Additional Information:

  There's no LICENSE-file inside the tarball, but I asked upstream to
  include one during next release.  Upstream-sources unfortunately don't
  support Python3, yet.

#####

Thanks for review in advance!

Comment 1 Christopher Meng 2013-10-22 13:18:52 UTC
Issue: Remove bundled egg before building.

Comment 2 Björn 'besser82' Esser 2013-10-22 13:32:01 UTC
(In reply to Christopher Meng from comment #1)
> Issue: Remove bundled egg before building.

Done!  Didn't bump release for this.  Added `rm -rf *.egg-info` at the end of %prep.

Comment 3 Christopher Meng 2013-10-22 13:38:24 UTC
SPEC just got updated with fix for issue mentioned above.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/rpmaker/Desktop/python-sphinxcontrib-
     cheeseshop/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
     packages/sphinxcontrib(python-sphinxcontrib-httpdomain)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: python-sphinxcontrib-cheeseshop-0.2-1.fc21.noarch.rpm
          python-sphinxcontrib-cheeseshop-0.2-1.fc21.src.rpm
python-sphinxcontrib-cheeseshop.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
python-sphinxcontrib-cheeseshop.src: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-sphinxcontrib-cheeseshop
python-sphinxcontrib-cheeseshop.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-sphinxcontrib-cheeseshop (rpmlib, GLIBC filtered):
    python(abi)
    python-sphinx



Provides
--------
python-sphinxcontrib-cheeseshop:
    python-sphinxcontrib-cheeseshop



Source checksums
----------------
https://pypi.python.org/packages/source/s/sphinxcontrib-cheeseshop/sphinxcontrib-cheeseshop-0.2.tar.gz :
  CHECKSUM(SHA256) this package     : d1a3bc4c1842868f959f7e14fa7390e64fa717823144286e7d15a25c3624b1ec
  CHECKSUM(SHA256) upstream package : d1a3bc4c1842868f959f7e14fa7390e64fa717823144286e7d15a25c3624b1ec


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -rvn python-sphinxcontrib-cheeseshop-0.2-1.fc21.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

-----------------

[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
     packages/sphinxcontrib(python-sphinxcontrib-httpdomain)

I think this is acceptable to own this dir due to guidelines since no such filesystem-like package is present in our repo, and there are still many python extensions of sphinx is being packaged by myself, I will leave this to [x].

-----------------
PACKAGE APPORVED.

Comment 4 Björn 'besser82' Esser 2013-10-22 13:40:28 UTC
Thanks for the quick review, Christopher!

#####

New Package SCM Request
=======================
Package Name: python-sphinxcontrib-cheeseshop
Short Description: Sphinx extension cheeseshop
Owners: besser82
Branches: el5 el6 f18 f19 f20
InitialCC:

Comment 5 Gwyn Ciesla 2013-10-22 13:55:00 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-10-22 14:24:40 UTC
python-sphinxcontrib-cheeseshop-0.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-sphinxcontrib-cheeseshop-0.2-1.fc20

Comment 7 Fedora Update System 2013-10-22 14:25:09 UTC
python-sphinxcontrib-cheeseshop-0.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-sphinxcontrib-cheeseshop-0.2-1.fc19

Comment 8 Fedora Update System 2013-10-22 14:25:36 UTC
python-sphinxcontrib-cheeseshop-0.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-sphinxcontrib-cheeseshop-0.2-1.fc18

Comment 9 Fedora Update System 2013-10-22 14:26:01 UTC
python-sphinxcontrib-cheeseshop-0.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-sphinxcontrib-cheeseshop-0.2-1.el6

Comment 10 Fedora Update System 2013-10-22 14:26:23 UTC
python-sphinxcontrib-cheeseshop-0.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-sphinxcontrib-cheeseshop-0.2-1.el5

Comment 11 Fedora Update System 2013-10-22 18:55:15 UTC
python-sphinxcontrib-cheeseshop-0.2-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 12 Fedora Update System 2013-10-23 18:18:20 UTC
python-sphinxcontrib-cheeseshop-0.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 13 Fedora Update System 2013-10-23 18:20:25 UTC
python-sphinxcontrib-cheeseshop-0.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Fedora Update System 2013-10-24 00:53:56 UTC
python-sphinxcontrib-cheeseshop-0.2-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 15 Fedora Update System 2013-10-24 00:54:39 UTC
python-sphinxcontrib-cheeseshop-0.2-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 16 Fedora Update System 2013-11-10 06:53:37 UTC
python-sphinxcontrib-cheeseshop-0.2-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.